grok-imagine-video-1.5-preview
Setup your API Key
How to Make a Call
API Schemas
Create a video generation task and send it to the server
post
Body
modelstring · enumRequiredPossible values:
promptstringOptional
The text description of the scene, subject, or action to generate in the video.
image_urlstring · uriRequired
URL of the source image to animate. Required — this model supports image-to-video only.
durationinteger · min: 1 · max: 15OptionalDefault:
The length of the output video in seconds.
10aspect_ratiostring · enumOptionalDefault:
The aspect ratio of the generated video.
16:9Possible values: resolutionstring · enumOptionalPossible values:
Output video resolution. The value is selected automatically based on the resolution of the input image.
Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: post
/v2/video/generations200Success
Retrieve the generated video from the server
get
Authorizations
AuthorizationstringRequired
Bearer key
Query parameters
generation_idstringRequiredExample:
<REPLACE_WITH_YOUR_GENERATION_ID>Responses
200Success
application/json
idstringRequiredExample:
The ID of the generated video.
60ac7c34-3224-4b14-8e7d-0aa0db708325statusstring · enumRequiredExample:
The current status of the generation task.
completedPossible values: get
/v2/video/generations200Success
Code Example
Last updated
Was this helpful?